### File

`packages/eui/packages/components-next/src/lib/components/eui-table/selectable-row/eui-table-selectable-row.component.ts`

### Implements

`OnInit` `OnDestroy` `OnChanges`

### Metadata

selector | `tr[isSelectable]`
templateUrl | `./eui-table-selectable-row.component.html`

### Index

###### Methods
Public toggleCheckedState
###### Inputs
isChecked isSelectable
###### HostBindings
class

### Constructor

`constructor(euiTableSelectableRowService: EuiTableSelectableRowService)`
Parameters :
Name | Type | Optional
euiTableSelectableRowService | `EuiTableSelectableRowService` | No

### Inputs

isChecked
Default value : `false`

isSelectable
Type : `any`

### HostBindings

class

### Methods

Public toggleCheckedState
`toggleCheckedState(value: boolean)`
Parameters :
Name | Type | Optional
value | `boolean` | No
Returns : `void`

# result-matching ""

# No results matching ""